List all Pipelines for a User
GET
https://api.neuroscale.io/v2.0/pipelines
The Pipelines Collection resource has the following attributes:
| Name | Type | Description |
|---|---|---|
| count | Integer | Total number of Pipeline objects contained in the response. |
| data | Array of Pipelines | Array of Pipeline objects. |
| object | String | Resource type (value is "list"). |
| url | String | Uniform Resource Locator (URL) of the Pipelines Collection resource relative to the base NeuroScale Platform API URL. |
Authentication¶
Type: Access token
Required scopes: pipeline or list:pipeline
Responses¶
Example response — 200¶
{
"count": 1,
"data": [
{
"created_at": 1442367061,
"description": "Echoes all input data.",
"id": "pl_xTg7suuqGzFCGcnmb6Xx7f",
"metadata": {
"nodes": {
"in": [],
"out": []
}
},
"name": "Echo (Raw)",
"object": "pipeline",
"owner": null,
"parameters": {},
"updated_at": 1442367061
}
],
"object": "list",
"url": "/v1/pipelines"
}